skysowe
skysowe
  • 发布:2020-11-07 13:38
  • 更新:2020-11-07 13:38
  • 阅读:843

【报Bug】HBuilderX.2.9.7 mini-css-extract-plugin 编译错误

分类:uni-app

产品分类: uniapp/小程序/微信

PC开发环境操作系统: Windows

PC开发环境操作系统版本号: Win10

HBuilderX类型: 正式

HBuilderX版本号: 2.9.7

第三方开发者工具版本号: 与此无关

基础库版本号: 与此无关

项目创建方式: HBuilderX

操作步骤:

预期结果:

实际结果:

bug描述:

HBuilderX.2.9.7.20201105打包,提示
Module build failed (from ./node_modules/mini-css-extract-plugin/dist/loader.js)

从2.9.3升级到2.9.7也是如此,全新下载安装也是如此。

一开始以为是全局的Node版本问题,又以为是vue/cli的问题,因为最近都升级过这两个东西,提示中也有提到vue,用外部工具编译scss提示需要win32-x64-72-binding.node(本地有57,64),从github上下载了这个文件建了文件夹,手动编译scss不报错了,但是编译还是有问题,最后彻底删除2.9.7,重新安装2.9.3,编译提示缺少sass/scss编译插件,在应用市场下载了sass/scss的插件,再次打包,就好了。

2020-11-07 13:38 负责人:DCloud_UNI_GSQ 分享
已邀请:

该问题目前已经被锁定, 无法添加新回复